---
title: MediaStreamTrack.getSettings()
slug: Web/API/MediaStreamTrack/getSettings
tags:
  - API
  - Constraints
  - Media Capture and Streams
  - MediaStreamTrack
  - Method
  - Reference
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p><span class="seoSummary">The <strong><code>getSettings()</code></strong> method of the {{domxref("MediaStreamTrack")}} interface returns a {{domxref("MediaTrackSettings")}} object containing the current values of each of the constrainable properties for the current <code>MediaStreamTrack</code>.</span> See <a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a> for details on how to work with constrainable properties.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>settings</em> = <em>track</em>.getSettings()</pre>

<h3 id="Returns"><span style="font-size: 1.714rem; letter-spacing: -0.021em; line-height: 1;">Returns</span></h3>

<p>A {{domxref("MediaTrackSettings")}} object describing the current configuration of the track's constrainable properties.</p>

<div class="note">
<p><strong>Note:</strong> The returned object identifies the current values of every constrainable property, including those which are platform defaults rather than having been expressly set by the site's code. To instead fetch the most-recently established constraints for the track's properties, as specified by the site's code, use {{domxref("MediaStreamTrack.getConstraints", "getConstraints()")}}.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture', '#dom-mediastreamtrack-getsettings', 'getSettings()')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.getSettings")}}</p>
